<?php
   /*
   Plugin Name: Jumbotron 3D Slide Rotator
   Plugin URI: http://glassinteractive.com
   Description: Large impact media with a real-world feel
   Version: 0.9
   Author: Nike Glass
   Author URI: http://www.glassinteractive.com/wordpress-plugin-jumbotron-3d-post-rotator/
   License: This beta version is free for private use on a personal use, not for commercial use or distribution of any sort. For more information, v=contact
   */
?>

<?php

include( plugin_dir_path( __FILE__ ) . 'gijt_admin.php');

include( plugin_dir_path( __FILE__ ) . 'jumbotron_post_type.php');


function gijt_shortcode($atts, $content = null) {
               
    $output = '
        <div id="gijt_stage_wrapper" class="gijt-trans" ><div id="stage_scale" class="gijt-trans" >
        
                     <div id="stage" class="gijt-trans" >
  
                        <div id="stage_position" class="gijt-trans" >
                        
                                <div id="gijt_rotator" class="rotate1" >';
                                
    $args = array(
        
        'post_parent' => $parent,
        //'post_type' => $type,
        'post_type' => 'gi_jumboslides',
        'posts_per_page' => $perpage,
        'orderby' => 'menu_order',
        'order' => 'ASC'
    );
    
    $andrew_query = new  WP_Query( $args );
    
    while ( $andrew_query->have_posts() ) : $andrew_query->the_post();
    
        $output .= '<div id="gijt_spoke">
        
                        <div class="gijt_panel">'.
                       
                            '<a class="gijt_panel-link" href="'.
                       
                                       get_post_meta(get_the_ID(), 'my_meta_box_linkChoice__text', true).
                                       
                                       '"></a><div class=" gijt-image-wrap " >'.
                                       
                                       get_the_post_thumbnail($post = null, $size = 'large', $attr = '' );
                                       
                                        //  Check for css entered in metadata from the post editor
                                        
                                        $hd_css_value = get_post_meta(get_the_ID(), 'my_meta_box_hd_css', true);
                                        
                                        if(!isset($hd_css_value)) {

                                            $hd_css_value = '';

                                        }

                                        $txt_css_value = get_post_meta(get_the_ID(), 'my_meta_box_txt_css', true);

                                        if(!isset($txt_css_value)) {

                                            $txt_css_value = '';

                                        }

                            $output .=  '</div><!-- gijt-image-wrap --><h2 style=" '.$hd_css_value .' ">';
                                       
                                        $hide_the_title = get_post_meta(get_the_ID(), 'my_meta_box_title_toggle', true);
                            
                                            if ( $hide_the_title != 'yes') {
                                                
                                               $the_slide_title = get_the_title(); 
                                               
                                            } else {
                                                
                                               $the_slide_title = '';

                                            }

                            $output .= $the_slide_title.
                            
                                       '</h2><p style=" '.$txt_css_value .' " >'.

                                       get_the_excerpt().

                                       '</p></div><!-- gijt_panel --></div><!-- gijt_spoke -->';

    endwhile;
    
    wp_reset_query();
    
    $output .= '

                                    </div><!-- gijt_rotator-->

                                </div><!-- /END stage_position -->
                            
                                <div id="gijt-button-wrap"><button class="gijt-btnL"><</button>   <button class="gijt-btnR">></button>
                                </div>

                            </div><!-- /END stage -->

                        </div><!-- /END stage_scale -->

                    </div><!-- /END gijt_stage_wrapper -->
    ';
    
    return $output;

} 

add_shortcode('gijt', 'gijt_shortcode');


function gijt_load_plugin_files () {
    
    //  This is from StackOverflow
    //  https://wordpress.stackexchange.com/questions/34702/short-code-to-display-a-loop
    
    $plugin_url = plugin_dir_url( __FILE__ );

    wp_enqueue_script( 'gijt_JS', $plugin_url . '/js/gi_jt.js', array('jquery'), '1.9', true );
    
    wp_enqueue_style( 'gijt_style', $plugin_url . 'css/gijt_style.css' );
}

add_action( 'wp_enqueue_scripts', 'gijt_load_plugin_files' );
?>